FROM mcr.microsoft.com/dotnet/aspnet:8.0 AS base
WORKDIR /app
EXPOSE 8080

FROM mcr.microsoft.com/dotnet/sdk:8.0 AS build
ARG BUILD_CONFIGURATION=Release
WORKDIR /src

# کپی csproj ها
COPY Back/Back.csproj Back/
COPY Shared/Shared.csproj Shared/

# کپی کردن سورس لوکال و NuGet.config (از داخل Back)
#COPY Back/NuGet.config ./
#COPY Back/LocalPackages ./LocalPackages

RUN dotnet restore "./Back/Back.csproj"

COPY . .
WORKDIR "/src/Back"
RUN dotnet build "./Back.csproj" -c $BUILD_CONFIGURATION -o /app/build

FROM build AS publish
ARG BUILD_CONFIGURATION=Release
RUN dotnet publish "./Back.csproj" -c $BUILD_CONFIGURATION -o /app/publish /p:UseAppHost=false

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "Back.dll"]
